Execute wallet operation
curl --request POST \
--url https://api.hoox.sh/wallet/{path} \
--header 'Content-Type: application/json' \
--data '
{
"chain": "arbitrum",
"to": "0x6b175474e89094c44da98b954eedeac495271d0f",
"value": "100000000000000000",
"data": "0xa9059cbb000000000000000000000000..."
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
chain: 'arbitrum',
to: '0x6b175474e89094c44da98b954eedeac495271d0f',
value: '100000000000000000',
data: '0xa9059cbb000000000000000000000000...'
})
};
fetch('https://api.hoox.sh/wallet/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hoox.sh/wallet/{path}"
payload = {
"chain": "arbitrum",
"to": "0x6b175474e89094c44da98b954eedeac495271d0f",
"value": "100000000000000000",
"data": "0xa9059cbb000000000000000000000000..."
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"tradeResult": {
"success": true,
"orderId": "18049284739",
"status": "Filled",
"executedQty": 0.005,
"price": 68425.5,
"queued": true
},
"notificationResult": {
"success": true,
"messageId": 482904
}
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}Wallet
Execute wallet operation
Proxies DeFi wallet operations to the web3-wallet-worker via service binding. Supports EVM chain operations including swaps, balance checks, and token approvals.
POST
/
wallet
/
{path}
Execute wallet operation
curl --request POST \
--url https://api.hoox.sh/wallet/{path} \
--header 'Content-Type: application/json' \
--data '
{
"chain": "arbitrum",
"to": "0x6b175474e89094c44da98b954eedeac495271d0f",
"value": "100000000000000000",
"data": "0xa9059cbb000000000000000000000000..."
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
chain: 'arbitrum',
to: '0x6b175474e89094c44da98b954eedeac495271d0f',
value: '100000000000000000',
data: '0xa9059cbb000000000000000000000000...'
})
};
fetch('https://api.hoox.sh/wallet/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hoox.sh/wallet/{path}"
payload = {
"chain": "arbitrum",
"to": "0x6b175474e89094c44da98b954eedeac495271d0f",
"value": "100000000000000000",
"data": "0xa9059cbb000000000000000000000000..."
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"tradeResult": {
"success": true,
"orderId": "18049284739",
"status": "Filled",
"executedQty": 0.005,
"price": 68425.5,
"queued": true
},
"notificationResult": {
"success": true,
"messageId": 482904
}
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}Path Parameters
Wallet operation path (e.g., swap, balance, approve)
Body
application/json
EVM-compatible chain
Available options:
ethereum, arbitrum, polygon Example:
"arbitrum"
Recipient or contract address
Example:
"0x6b175474e89094c44da98b954eedeac495271d0f"
Transaction value in wei (as string)
Example:
"100000000000000000"
Encoded contract call data
Example:
"0xa9059cbb000000000000000000000000..."
Optional transaction gas limit
Example:
200000
Response
Wallet operation successful
Example:
true
Unique request trace identifier
Example:
"9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
Hide child attributes
Hide child attributes
Last modified on June 17, 2026
⌘I